Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.ComponentModel.Component System.Runtime.InteropServices.ComVisible(true)

Provides common methods for sending data to and receiving data from a resource identified by a URI.

The class provides common methods for sending data to or receiving data from any local, Intranet, or Internet resource identified by a URI.

The class uses the class to provide access to Internet resources. instances can access data with any class derived from that is registered with the method.

By default, the CLI supports URIs with the "http:", "https:", and "file:" schemes.

The class provides the following methods for uploading data to a resource.

sends a to the server hosting a resource.
sends a byte array to the server hosting a resource and returns a byte array containing the response from the server, if any.
sends a local file to the server hosting a resource and returns a byte array containing the response from the server, if any.
sends a collection to the server hosting a resource and returns a byte array containing the response from the server, if any.

The class also provides the following methods for downloading data from a resource.

downloads data from a resource and returns a byte array.
downloads data from a resource to a local file.
returns the data from the resource as a .
- Constructor

  Constructs a new instance of the class.

  This constructor creates a new instance of the class with properties set to .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String

  Gets or sets the base URI for requests made by a .

  A containing the base URI for requests made by a or, , if no value was set or was specified for a set operation.

  The property contains a base URI that is combined with the relative address specified when calling an upload or download method.

  The value specified for a set operation is not or , and is not a URI in a format recognized by the class. 0 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Net.Cache.RequestCachePolicy To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void To be added. To be added.
- Property
  System.Net.ICredentials

  Gets or sets the network credentials used to authenticate the client making the current request.

  A containing the authentication credentials for the request. The default is .

  The property contains the authentication credentials required to access the Internet resource.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] `` A that specifies the URI from which data will be downloaded.

  Downloads data from the resource identified by the specified URI.

  A array containing the data downloaded from the resource specified by .

  If the property of the current instance is not , is combined with to form the absolute URI of the requested data. If the property of the current instance is , is required to be the absolute URI of the requested data. If the property of the current instance is not , it is appended to .

  The absolute URI is not valid.

  -or-

  An error occurred while downloading data.

  0
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Byte[] `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Event
  2.0.0.0
  System.Net.DownloadDataCompletedEventHandler To be added. To be added.
- Method
  System.Void `` `` A that specifies the URI from which data will be downloaded. A that specifies the name of the local file to which data will be written.

  Downloads data from the resource identified by the specified URI, and writes the data to the specified file .

  If the property of the current instance is not , is combined with to form the absolute URI of the requested data. If the property of the current instance is , is required to be the absolute URI of the requested data. If the property of the current instance is not , it is appended to .

  This method downloads data from the absolute URI to local file, . If already exists, the existing file is overwritten.

  The absolute URI is not valid.

  -or-

  is or or contains invalid characters, or the specified path to the file does not exist.

  -or-

  An error occurred while downloading data.

  The caller does not have permission to write to local files. Requires permission to write to files. See . 0 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Event
  2.0.0.0
  System.ComponentModel.AsyncCompletedEventHandler To be added. To be added.
- Event
  2.0.0.0
  System.Net.DownloadProgressChangedEventHandler To be added. To be added.
- Method
  2.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Event
  2.0.0.0
  System.Net.DownloadStringCompletedEventHandler To be added. To be added.
- Property
  2.0.0.0
  System.Text.Encoding To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Net.WebRequest `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Net.WebResponse `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Net.WebResponse `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  System.Net.WebHeaderCollection

  Gets or sets a collection of header name/value pairs associated with the request.

  A containing header name/value pairs associated with the request or, if this property has not been set or was set to , a new instance of the class.

  This property stores the header information that the current instance sends with a request. This is an unrestricted collection of headers; setting headers that are protected in descendants like is allowed.

  0
  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.IO.Stream `` A that specifies the URI from which data will be downloaded.

  Opens a readable containing the data downloaded from the resource identified by the specified URI.

  A used to read data from a resource.

  If the property of the current instance is not , is combined with to form the absolute URI of the requested data. If the property of the current instance is , is required to be the absolute URI of the requested data. If the property of the current instance is not , it is appended to .

  This method creates a instance used to access the data specified by the absolute URI The caller of this method is responsible for calling to release the resources allocated for the stream.

  The absolute URI is not valid.

  -or-

  An error occurred while downloading data.

  0
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.IO.Stream `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Event
  2.0.0.0
  System.Net.OpenReadCompletedEventHandler To be added. To be added.
- Method
  System.IO.Stream `` A that specifies the URI to receive the data.

  Opens a for writing data to the resource identified by the specified URI.

  A used to write data to the resource.

  This method is equivalent to (, "POST").

  If the property of the current instance is not , is combined with to form the absolute URI of the requested data. If the property of the current instance is , is required to be the absolute URI of the requested data. If the property of the current instance is not , it is appended to .

  The underlying request is made with the POST method.

  The absolute URI is not valid.

  -or-

  An error occurred while opening the stream.

  0
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.IO.Stream `` To be added. To be added. To be added. To be added.
- Method
  System.IO.Stream `` `` A that specifies the URI of the resource to receive the data. A that specifies the protocol method used to send the data to the resource identified by .

  Opens a for writing data to the resource identified by the specified URI using the specified protocol method.

  A used to write data to the resource.

  If the property of the current instance is not , is combined with to form the absolute URI of the requested data. If the property of the current instance is , is required to be the absolute URI of the requested data. If the property of the current instance is not , it is appended to .

  This method returns a writable stream that is used to send data to a resource. The underlying request is made with the protocol method specified by . For more information about protocol methods, see .

  If the parameter specifies a method that is not recognized by the server, the underlying protocol classes determine what occurs. Typically, a is thrown with the property set to indicate the error.

  The absolute URI is not valid.

  -or-

  An error occurred while opening the stream.

  0
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.IO.Stream `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Event
  2.0.0.0
  System.Net.OpenWriteCompletedEventHandler To be added. To be added.
- Property
  2.0.0.0
  System.Net.IWebProxy To be added. To be added. To be added.
- Property
  System.Collections.Specialized.NameValueCollection

  Gets or sets a collection of query name/value pairs associated with the request.

  A that contains query name/value pairs associated with the request or, if this property has not been set or was set to , a new instance of the class.

  The property contains a instance containing name/value pairs that are appended to the URI as a query string. The contents of the property are preceded by a question mark (?), and each name/value pair is separated by an ampersand (&).

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Net.WebHeaderCollection

  Gets a collection of header name/value pairs associated with the response.

  A containing header name/value pairs associated with the response.

  This property is read-only.

  The property contains a instance containing header information the receives from the Internet resource.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] `` `` A that specifies the URI of the resource to receive the data. A array containing data to send to the resource.

  Uploads the specified data to the resource identified by the specified URI.

  A array containing the body of the response, if any, from the server hosting the resource.

  This method is equivalent to (, "POST", ).

  If the property of the current instance is not , is combined with to form the absolute URI of the requested data. If the property of the current instance is , is required to be the absolute URI of the requested data. If the property of the current instance is not , it is appended to .

  This method sends a data buffer to a resource. The underlying request is made using the POST method.

  This method does not encode the contents of before uploading it to the resource.

  The absolute URI is not valid.

  -or-

  is .

  -or-

  An error occurred while opening the stream or uploading the data.

  -or-

  There was no response from the server hosting the resource.

  0
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Byte[] `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Byte[] `` `` `` A that specifies the URI of the resource to receive the data.

  A that specifies the protocol method used to send the data to the resource identified by .

  A array containing data to send to the resource.

  Uploads the specified data to the resource identified by the specified URI using the specified protocol method.

  A array containing the body of the response, if any, from the server hosting the resource.

  If the property of the current instance is not , is combined with to form the absolute URI of the requested data. If the property of the current instance is , is required to be the absolute URI of the requested data. If the property of the current instance is not , it is appended to .

  For more information about protocol methods, see .

  This method does not encode the contents of before uploading it to the resource.

  If specifies a method that is not recognized by the server, the underlying protocol classes determine what occurs. Typically, a is thrown with the property set to indicate the error.

  The absolute URI is not valid.

  -or-

  is .

  -or-

  An error occurred while opening the stream or uploading the data.

  -or-

  There was no response from the server hosting the resource.

  0
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Byte[] `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Event
  2.0.0.0
  System.Net.UploadDataCompletedEventHandler To be added. To be added.
- Method
  System.Byte[] `` `` A that specifies the URI of the resource to receive the file. A that specifies the file to send to the resource.

  Uploads the specified local file to the resource identified by the specified URI.

  A array containing the body of the response, if any, from the server hosting the resource.

  This method is equivalent to (, "POST", ).

  If the property of the current instance is not , is combined with to form the absolute URI of the requested data. If the property of the current instance is , is required to be the absolute URI of the requested data. If the property of the current instance is not , it is appended to .

  This method sends a local file to a resource. The underlying request is made using the POST method.

  The absolute URI is not valid.

  -or-

  is or or contains invalid characters, or the specified path to the file does not exist.

  -or-

  An error occurred while opening the stream or uploading the file.

  -or-

  There was no response from the server hosting the resource.

  -or-

  The Content-Type header begins with "multipart".

  Local file access has not been granted. Requires permission to access path information and read files. See and . 0 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Byte[] `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Byte[] `` `` `` A that specifies the URI of the resource to receive the file.

  A that specifies the protocol method used to send the data to the resource identified by .

  A that specifies the file to send to the resource.

  Uploads the specified local file using the specified protocol method to the resource identified by the specified URI .

  A array containing the body of the response, if any, from the server hosting the resource.

  If the property of the current instance is not , is combined with to form the absolute URI of the requested data. If the property of the current instance is , is required to be the absolute URI of the requested data. If the property of the current instance is not , it is appended to .

  For more information about protocol methods, see .

  If specifies a protocol method that is not recognized by the server, the underlying protocol classes determine what occurs. Typically, a is thrown with the property set to indicate the error.

  The absolute URI is not valid.

  -or-

  is or or contains invalid characters, or the specified path to the file does not exist.

  -or-

  An error occurred while opening the stream or uploading the file.

  -or-

  There was no response from the server hosting the resource.

  -or-

  The Content-Type header begins with "multipart".

  The caller does not have the required permissions. Requires permission to access path information and read files. See and . 0 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Byte[] `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Event
  2.0.0.0
  System.Net.UploadFileCompletedEventHandler To be added. To be added.
- Event
  2.0.0.0
  System.Net.UploadProgressChangedEventHandler To be added. To be added.
- Method
  2.0.0.0
  System.String `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.String `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.String `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.String `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Event
  2.0.0.0
  System.Net.UploadStringCompletedEventHandler To be added. To be added.
- Method
  System.Byte[] `` `` A that specifies the URI of the resource to receive the collection . The to send to the resource identified by .

  Uploads the specified name/value collection to the specified resource.

  A array containing the body of the response, if any, from the server hosting the resource.

  This method is equivalent to (, "POST", ).

  If the Content-Type header is , this method sets it to "application/x-www-form-urlencoded".

  If the property of the current instance is not , is combined with to form the absolute URI of the requested data. If the property of the current instance is , is required to be the absolute URI of the requested data. If the property of the current instance is not , it is appended to .

  The underlying request is made using the POST method.

  The absolute URI is not valid.

  -or-

  is .

  -or-

  An error occurred while opening the stream or uploading the data.

  -or-

  There was no response from the server hosting the resource.

  -or-

  The Content-Type header is not , and is not "application/x-www-form-urlencoded".

  0
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Byte[] `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Byte[] `` `` `` A that specifies the URI of the resource to receive the collection . A that specifies the protocol method used to send to the resource. The to send to the resource identified by .

  Uploads the specified name/value collection to the specified resource using the specified method.

  A array containing the body of the response, if any, from the server hosting the resource.

  If the Content-Type header is , this method sets it to "application/x-www-form-urlencoded".

  If the property of the current instance is not , is combined with to form the absolute URI of the requested data. If the property of the current instance is , is required to be the absolute URI of the requested data. If the property of the current instance is not , it is appended to .

  If specifies a protocol method that is not recognized by the server, the underlying protocol classes determine what occurs. Typically, a is thrown with the property set to indicate the error.

  The absolute URI is not valid.

  -or-

  is .

  -or-

  An error occurred while opening the stream or uploading the data.

  -or-

  There was no response from the server hosting the resource.

  -or-

  The Content-Type header is not , and is not "application/x-www-form-urlencoded".

  0
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Byte[] `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Event
  2.0.0.0
  System.Net.UploadValuesCompletedEventHandler To be added. To be added.
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
0